Jan 11, 2020

PSA: Mac Users Should Update Their Firefox Browser As Soon As Possible


Mac users who are using Firefox as their web browser should install a mandatory update on Firefox 72. There is a huge, fatal security flaw that is threatening to the US cyberinfrastructure, which the flaw discovered by Mozilla has brought up the attention of the security issue to the US Homeland Security. The company is already aware of the potential attacks that make use of this massive security vulnerability.

To begin with, the initial release of Firefox 72 rolled out on January 7th. A few hours after the new browser debuted, a security flaw on the Just-In-Time compiler for JavaScript allows unencrypted and unauthorized code to run on a targeted device, which then automatically opens a specific webpage. The CISA (Cybersecurity and Infrastructure Security Agency) has also provided a statement regarding the issue, which also informs Firefox users to update their browsers with the security patch as soon as possible. It states that they “encourage users and administrators to review the Mozilla Security Advisory for Firefox 72.0.1 and Firefox ESR 68.4.1 and apply the necessary updates.”

The update is available on the Mozilla website, which is named Firefox 72.0.1. The changes and features in the update include bugs designed to eliminate the Firefox security vulnerability affecting both the Windows and macOS versions.

Post a Comment

Favourite Category

...
Click to see more!

Whatsapp Button works on Mobile Device only